Accessibility

Security bulletin

Security updates available for Adobe Flash Player

Release date: April 9, 2013

Vulnerability identifier: APSB13-11

Priority: See table below

CVE number: CVE-2013-1378, CVE-2013-1379, CVE-2013-1380, CVE-2013-2555

Platform: All Platforms

Summary

Adobe has released security updates for Adobe Flash Player 11.6.602.180 and earlier versions for Windows and Macintosh, Adobe Flash Player 11.2.202.275 and earlier versions for Linux, Adobe Flash Player 11.1.115.48 and earlier versions for Android 4.x, and Adobe Flash Player 11.1.111.44 and earlier versions for Android 3.x and 2.x.  These updates address vulnerabilities that could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 11.6.602.180 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 11.7.700.169.
  • Users of Adobe Flash Player 11.2.202.275 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.280.
  • Adobe Flash Player 11.6.602.180 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.7.700.179 for Windows and 11.7.700.169 for Macintosh and Linux.
  • Adobe Flash Player 11.6.602.180 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.7.700.169 for Windows 8.
  • Users of Adobe Flash Player 11.1.115.48 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.54. 
  • Users of Adobe Flash Player 11.1.111.44 and earlier versions for Android 3.x and 2.x should update to Flash Player 11.1.111.50.
  • Users of Adobe AIR 3.6.0.6090 and earlier versions for Windows, Macintosh and Android should update to Adobe AIR 3.7.0.1530.
  • Users of the Adobe AIR 3.6.0.6090 SDK & Compiler and earlier versions should update to the Adobe AIR 3.7.0.1530 SDK & Compiler.

Affected software versions

  • Adobe Flash Player 11.6.602.180 and earlier versions for Windows and Macintosh
  • Adobe Flash Player 11.2.202.275  and earlier versions for Linux
  • Adobe Flash Player 11.1.115.48 and earlier versions for Android 4.x
  • Adobe Flash Player 11.1.111.44 and earlier versions for Android 3.x and 2.x
  • Adobe AIR 3.6.0.6090 and earlier versions for Windows, Macintosh and Android
  • Adobe AIR 3.6.0.6090 SDK & Compiler and earlier versions

To verify the version of Adobe Flash Player installed on your system, access the About Flash Player page, or right-click on content running in Flash Player and select "About Adobe (or Macromedia) Flash Player" from the menu.  If you use multiple browsers, perform the check for each browser you have installed on your system.

To verify the version of Adobe Flash Player for Android, go to Settings > Applications > Manage Applications > Adobe Flash Player x.x.

To verify the version of Adobe AIR installed on your system, follow the instructions in the Adobe AIR TechNote.

Solution

Adobe recommends users update their software installations by following the instructions below:

  • Adobe recommends users of Adobe Flash Player 11.6.602.180 and earlier versions for Windows and Macintosh update to the newest version 11.7.700.169 by downloading it from the Adobe Flash Player Download Center.  Users can also install the update via the update mechanism within the product when prompted.
  • Adobe recommends users of Adobe Flash Player 11.2.202.275 and earlier versions for Linux update to Adobe Flash Player 11.2.202.280 by downloading it from the Adobe Flash Player Download Center.
  • For users of Flash Player 10.3.183.68 and earlier versions for Windows and Macintosh, who cannot update to Flash Player 11.7.700.169, Adobe has made available the update Flash Player 10.3.183.75, which can be downloaded here.
  • For users of Flash Player 10.3.183.68 and earlier versions for Linux, who cannot update to Flash Player 11.2.202.280, Adobe has made available the update Flash Player 10.3.183.75, which can be downloaded here.
  • Adobe Flash Player 11.6.602.180 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.7.700.179 for Windows and 11.7.700.169 for Macintosh and Linux.
  • Adobe Flash Player 11.6.602.180 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.7.700.169 for Windows 8.
  • Users of Adobe Flash Player 11.1.115.48 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.54*. 
    * Note: Applicable only for Android 4.x devices with Flash Player installed prior to August 15, 2012.
  • Users of Adobe Flash Player 11.1.111.44 and earlier versions for Android 3.x and 2.x should update to Flash Player 11.1.111.50*. 
    * Note: Applicable only for Android 3.x devices and earlier with Flash Player installed prior to August 15, 2012.
  • Users of Adobe AIR 3.6.0.6090 and earlier versions for Windows and Macintosh should update to Adobe AIR 3.7.0.1530.
  • Users of the Adobe AIR 3.6.0.6090 and earlier versions for Android should update to Adobe AIR 3.7.0.1530 by browsing to Google play or the Amazon Marketplace on an Android device.

Priority and severity ratings

Adobe categorizes these updates with the following priority ratings and recommends users update their installations to the newest versions:

Product Updated version Platform Priority rating
Adobe Flash Player 11.7.700.169 Windows 1
  11.7.700.169 Macintosh 2
  11.2.202.280 Linux 3
  11.1.115.54 Android 4.x 3
  11.1.111.50 Android 3.x and 2.x 3
       
Adobe AIR 3.7.0.1530 Windows, Macintosh, Android 3
    SDK & Compiler (includes AIR for iOS)  
       

These updates address critical vulnerabilities in the software.


Details

Adobe has released security updates for Adobe Flash Player 11.6.602.180 and earlier versions for Windows and Macintosh, Adobe Flash Player 11.2.202.275 and earlier versions for Linux, Adobe Flash Player 11.1.115.48 and earlier versions for Android 4.x, and Adobe Flash Player 11.1.111.44 and earlier versions for Android 3.x and 2.x.  These updates address vulnerabilities that could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 11.6.602.180 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 11.7.700.169.
  • Users of Adobe Flash Player 11.2.202.275 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.280.
  • Adobe Flash Player 11.6.602.180 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.7.700.179 for Windows and 11.7.700.169 for Macintosh and Linux.
  • Adobe Flash Player 11.6.602.180 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.7.700.169 for Windows 8.
  • Users of Adobe Flash Player 11.1.115.48 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.54. 
  • Users of Adobe Flash Player 11.1.111.44 and earlier versions for Android 3.x and 2.x should update to Flash Player 11.1.111.50.
  • Users of Adobe AIR 3.6.0.6090 and earlier versions for Windows, Macintosh and Android should update to Adobe AIR 3.7.0.1530.
  • Users of the Adobe AIR 3.6.0.6090 SDK & Compiler and earlier versions should update to the Adobe AIR 3.7.0.1530 SDK & Compiler.

These updates resolve an integer overflow vulnerability that could lead to code execution (CVE-2013-2555).

These updates resolve memory corruption vulnerabilities that could lead to code execution (CVE-2013-1378, CVE-2013-1380).

These updates resolve a memory corruption vulnerability caused by Flash Player improperly initializing certain pointer arrays, which could lead to code execution (CVE-2013-1379).

Affected software Recommended player update Availability
Flash Player 11.6.602.180 and earlier versions for Windows and Macintosh 11.7.700.169 Flash Player Download Center
Flash Player 11.6.602.180 and earlier versions for Windows  and Macintosh - network distribution 11.7.700.169 Flash Player Licensing
Flash Player 11.2.202.275 and earlier for Linux 11.2.202.280 Flash Player Download Center
Flash Player 11.1.115.48 and earlier for Android 4.x 11.1.115.54 Applicable only for Android 4.x devices with Flash Player installed prior to August 15, 2012.
Flash Player 11.1.111.44 and earlier for Android 3.x and 2.x 11.1.111.50 Update to devices that already have Flash Player installed prior to August 15, 2012.
Flash Player 11.6.602.180 and earlier for Chrome users (Windows) 11.7.700.179 Google Chrome Releases
Flash Player 11.6.602.180 and earlier for Chrome users (Macintosh and Linux) 11.7.700.169 Google Chrome Releases
Flash Player 11.6.602.180 and earlier in Internet Explorer 10 for Windows 8 11.7.700.169 Microsoft Security Advisory
AIR 3.6.0.6090 and earlier for Windows and Macintosh 3.7.0.1530 AIR Download Center
AIR 3.6.0.6090 SDK & Compiler 3.7.0.1530 AIR SDK Download
AIR 3.6.0.6090 and earlier for Android 3.7.0.1530 Google Play or Amazon Marketplace (browse from an Android device)

Acknowledgments

Adobe would like to thank the following individuals and organizations for reporting the relevant issues and for working with Adobe to help protect our customers:

  • Mateusz Jurczyk, Gynvael Coldwind, and Fermin Serna of the Google Security Team (CVE-2013-1378, CVE-2013-1379, CVE-2013-1380)
  • VUPEN Security reported through TippingPoint's Zero Day Initiative (CVE-2013-2555)